defmodule PortingTools.Application do
  use Application

  @impl true
  def start(_type, _args) do
    #{:ok, _} = Node.start(:"portingtools@localhost", :shortnames)
    #Node.set_cookie(Node.self(), :ptools)

    children = [
      PortingTools.ResourceLoc,
      PortingTools.Mappings,
      PortingTools.Mappings.Agent,
    ]

    opts = [strategy: :one_for_one, name: PortingTools.Supervisor]
    Supervisor.start_link(children, opts)
  end
end
